
function mudfish_adclean_72d6976e90a04c8fc9f7cc7dff7b52f0() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`.alert.alert-danger:has(> a:contains([AD]))`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_72d6976e90a04c8fc9f7cc7dff7b52f0();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_72d6976e90a04c8fc9f7cc7dff7b52f0();
  });
}
